Put
/v1/channel-accounts/{channelAccountId}
Update a specific Channel Account.
Note: If subAccountDefaultStorageQuotaType is "Hard quota", then subAccountDefaultPurchasedStorage must be a positive number.
Security
HTTP
Type basic
HTTP Basic Authentication using your WACM username and API key.
For detailed authentication instructions, see the Authentication Guide.
Path parameters
channelAccountId
integerRequired
Channel Account ID
Example12345
Body parameters
minimal
Single field update
{
"name": "Updated Channel Account"
}full
All fields
{
"name": "Updated Channel Account",
"contactEmail": "updated@example.com",
"active": "True",
"purchasedStorage": "5",
"subAccountDefaultPurchasedStorage": "1",
"subAccountDefaultStorageQuotaType": "Soft quota",
"storageQuotaType": "Soft quota",
"address1": "123 Main St",
"city": "Boston",
"country": "United States",
"state": "Massachusetts",
"zip": "02101"
}object
name
string
Min length3
Max length100
contactEmail
string (email)
active
boolean
purchasedStorage
number
Storage quota in TB
subAccountDefaultPurchasedStorage
number
Default storage quota for new sub-accounts. Required if subAccountDefaultStorageQuotaType is "Hard quota".
subAccountDefaultStorageQuotaType
string
Valid values[
"Soft quota",
"Hard quota"
]
storageQuotaType
string
Valid values[
"Soft quota",
"Hard quota"
]
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
billingEmail
string (email)
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string (uri)
Responses
200
Successfully updated the Channel Account
{
"success": "True",
"code": "RES-I-0050",
"message": "Channel Account has been successfully updated!",
"data": {
"id": "53211",
"name": "Updated Channel Account",
"controlAccountId": "53165",
"controlAccountName": "Sample Control Account",
"governanceAccountName": "Sample Governance",
"governanceAccountId": "45424",
"purchasedStorage": "5",
"subAccountDefaultPurchasedStorage": "1",
"subAccountDefaultStorageQuotaType": "Soft quota",
"storageQuotaType": "Soft quota",
"subAccountStorage": "0.015625",
"billableActiveStorage": "0.014321",
"billableDeletedStorage": "0.001304",
"subAccountsCount": "3",
"status": "Active",
"creationDate": "2024-07-09T08:36:50.898Z",
"contactEmail": "updated@example.com",
"address1": "123 Main St",
"city": "Boston",
"state": "Massachusetts",
"country": "United States",
"zip": "02101",
"ssoEnabled": "False",
"deleted": "False"
}
}object
success
boolean
code
string
message
string
data
object (ChannelAccountResponse)
id
integer
name
string
controlAccountId
integer
controlAccountName
string
governanceAccountId
integer
governanceAccountName
string
purchasedStorage
number
subAccountDefaultPurchasedStorage
number
subAccountDefaultStorageQuotaType
string
storageQuotaType
string
subAccountStorage
number
billableActiveStorage
number
billableDeletedStorage
number
subAccountsCount
integer
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
deleted
boolean